Rename a container stack
PATCH
/container/stack/{stack}
const url = 'https://sylve.lan:8181/api/container/stack/example';const options = { method: 'PATCH', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"title":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://sylve.lan:8181/api/container/stack/example \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "title": "example" }'Change the name a stack is shown under; empty shows its own name again
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”stack
required
string
Stack
Request Body
Section titled “Request Body”Title
Media typeapplication/json
object
title
string
Examplegenerated
{ "title": "example"}Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}